Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355893 - media-gfx/enblend-4.0 fails with libpng-1.5
Summary: media-gfx/enblend-4.0 fails with libpng-1.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-21 18:38 UTC by SpanKY
Modified: 2011-08-07 15:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
enblend-4.0-libpng-1.5.patch (enblend-4.0-libpng-1.5.patch,9.22 KB, patch)
2011-02-21 18:39 UTC, SpanKY
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2011-02-21 18:38:35 UTC
patch was straight forward (seems like the code is largely the same as hugin!?), but someone who knows png/c++ should double check
Comment 1 SpanKY gentoo-dev 2011-02-21 18:39:17 UTC
Created attachment 263347 [details, diff]
enblend-4.0-libpng-1.5.patch
Comment 2 Samuli Suominen gentoo-dev 2011-08-07 15:56:25 UTC
+  07 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> enblend-4.0.ebuild,
+  +files/enblend-4.0-libpng15.patch:
+  Fix building with libpng15 wrt #355893 by Mike Frysinger